import QtQuick 1.1
import com.nokia.meego 1.0


Dialog {
    id: dColorChooser
    width: screen.displayWidth
    anchors.fill: parent
    //anchors.horizontalCenter: parent.horizontalCenter

    property bool switchType : true
    property variant colorsF: ["red","blue","yellow","green",
                              "brown","orange","DeepPink","white",
                              "aqua","crimson","DarkOrchid","lime",
                              "LightGreen","lightblue","pink","black"]

    property variant colorsB: ["red","LightSteelBlue","yellow","green",
                              "LightYellow","orange","magenta","black",
                              "aqua","#FFFFAD","DarkOrchid","lime",
                              "LightGreen","HoneyDew","pink","white"]

    //opacity: 0.8
    visible: opacity > 0
    Behavior on opacity {
        NumberAnimation { duration: 500 }
    }


    title:  Item {
        id: iTitle
        width: parent.width - 32
        anchors.horizontalCenter: parent.horizontalCenter
        y: -200

        Image {
            id: dImage
            anchors.right: parent.right
            anchors.rightMargin: 12
            //fillMode: Image.PreserveAspectFit
            smooth: true;
            source: "image://theme/icon-m-common-dialog-close"

            MouseArea {
                id: mActiveArea
                anchors.fill: parent
                enabled: true

                onClicked: {
                    //console.log("CANCEL clicked...")
                    dColorChooser.close()
                }
            }
        }

        Rectangle {
            id: rLine1
            height: 1
            anchors.topMargin: 5
            anchors.top: dImage.bottom
            width: iTitle.width
            color: "grey"
        }

        Text {
            id: dTitleText
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.topMargin: 22
            anchors.top: rLine1.bottom
            font.pixelSize: 25
            font.bold: true
            color: "white"
            text: /*"Choose " + */(switchType ? "Background" : "Font") + " Color..."

        }

        Rectangle {
            id: rLine2
            height: 1
            anchors.topMargin: 22
            anchors.top: dTitleText.bottom
            anchors.horizontalCenter: parent.horizontalCenter
            width: iTitle.width - 32
            color: "grey"
        }

    }

    content: Item {
        id: iContent
        y: iTitle.y + 180

        width: parent.width - 64
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.topMargin: 44
        anchors.leftMargin: 10

        Grid {
            id: colorGrid

            columns: 4
            anchors {
                verticalCenter: parent.verticalCenter
                horizontalCenter: parent.horizontalCenter
            }
            spacing: 15

            Repeater {
                model: 16

                Rectangle {
                    width: 100 //(colorGrid.width / colorGrid.columns) - (colorGrid.spacing-3)
                    height: 100 //(colorGrid.height / colorGrid.columns) - (colorGrid.spacing-3)
                    color: chooserArea.pressed ? ( switchType ? Qt.darker(colorsB[index]) : Qt.darker(colorsF[index]) ) : ( switchType ? colorsB[index] : colorsF[index])
                    radius: 15

                    MouseArea {
                        id: chooserArea
                        anchors.fill: parent
                        onClicked: {
                            if (switchType)
                                myTopSites.fillColBack = colorsB[index]
                            else
                                myTopSites.fillColFont = colorsF[index]

                            dColorChooser.opacity = 0;
                            dColorChooser.close()
                        }
                    }
                }
            }
        }
    }
}
