import QtQuick 1.1
import com.nokia.meego 1.0


Item {
    id: splashScreenItem

    property alias splashTitle: dTitleText.text
    property alias splashText:  dContentText.text

    signal splashScreenCompleted()
    signal splashScreenStarted()

    Item {
        id: splashItem
        anchors.horizontalCenter: parent.horizontalCenter
        width: screen.displayWidth
        y: 250 // (screen.displayHeight - 2*dTitle.height - 3*30)/2


        Row {
            id: dTitle
            height: 80
            anchors.horizontalCenter: parent.horizontalCenter

            Image {
                id: dImage
                height: parent.height
                //fillMode: Image.PreserveAspectFit
                smooth: true;
                source: "mytopsites80.png"
            }

            Text {
                id: dTitleText
                height: parent.height
                font.pixelSize: 32
                verticalAlignment: Text.AlignVCenter
                color: "red"
            }
        }

        Item {
            id: dContent
            width: screen.displayWidth
            height: 400
            Text {
                id: dContentText
                font.pixelSize: 24
                width: parent.width
                horizontalAlignment: Text.AlignHCenter
                color: "Black"
            }
        }
    }

    SequentialAnimation {
        id:splashanimation
        PauseAnimation {
            duration: 2000
        }
        PropertyAnimation {
            target: splashItem
            duration: 750
            properties: "opacity"
            to: 0
        }

        onStarted: {
            splashScreenItem.splashScreenStarted()
        }

        onCompleted: {
            splashScreenItem.splashScreenCompleted()
        }
    }

    Component.onCompleted: splashanimation.start()
 }
