import QtQuick 1.1
import com.nokia.meego 1.0

import SqliteAccess 1.0

//import stopgrob 1.0


PageStackWindow {
    id: appWindow

    property string appTitle: qsTr("  MyTopSites")
    property string appDescr: qsTr("\nTop Site Editor for MeeGo Browser\n(C) 2012 rezt lea\nversion 0.0.3")
    property string appHelp:  qsTr("\nTop Site Editor for MeeGo Browser\n\nHelp\n\nUse < > keys to navigate to a Site.\n"
                                 + "Modify Url, Title, Colors, Access Count.\nAlways use 'Check Mark' Icon to\n"
                                 + "confirm changes and also to save a\nnew Site (added with '+' Icon).\nAccess Count sets the position\n"
                                 + "in the Site Cloud. A higher value\nwill give a higher position.\n"
                                 + "At least a value of 5 is necessary\nto show a Site.\n")
    property bool retVal : false

    AccessDb {
        id: mySqlDb1
    }

    Page {
        id: splashPage
        orientationLock: PageOrientation.LockPortrait

        //Loader { id: pageLoader }

        SplashScreen {
            id: splashScreen
            anchors.fill: parent
            splashTitle: appTitle
            splashText: qsTr ("\n\n\n" + appDescr + "\n\nPlease look in the Help menu.")

            onSplashScreenStarted: {
                //pageLoader.source = "MainPage.qml"

                retVal = mySqlDb1.accessDb
                mainPage.mySqlDb = mySqlDb1
            }
            onSplashScreenCompleted: {
                pageStack.replace(mainPage)
            }
        }
    }

    initialPage: splashPage
    //initialPage: mainPage


    MainPage {
        id: mainPage
        visible: false
        orientationLock: PageOrientation.LockPortrait
    }


    ToolBarLayout {
        id: commonTools
        visible: false

        ToolIcon {
            platformIconId: "toolbar-done"
            onClicked: {
                mainPage.saveRecord()
            }
        }
        ToolIcon {
            platformIconId: "toolbar-add"
            onClicked: mainPage.addRecord()
        }
        ToolIcon {
            platformIconId: "toolbar-delete"
            onClicked: mainPage.delRecord()
        }
        ToolIcon {
            platformIconId: "toolbar-view-menu"
            anchors.right: (parent === undefined) ? undefined : parent.right
            onClicked: (myMenu.status === DialogStatus.Closed) ? myMenu.open() : myMenu.close()
        }
    }

    InfoDialog {
        id: myDialog
        infoTitle: appTitle
    }

    Menu {
        id: myMenu
        visualParent: pageStack
        MenuLayout {
            MenuItem { text: qsTr("About")
                onClicked: {
                    myDialog.infoText = appDescr
                    myDialog.infoHeight = 3*30 // lines * text height
                    myDialog.open()
                }
            }

             MenuItem { text: qsTr("Help")
                onClicked: {
                    myDialog.infoText = appHelp
                    myDialog.infoHeight = 14*30
                    myDialog.open()
                }
            }
        }
    }
}
